import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        long[] a = new long[n];
        long[] b = new long[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
            b[i] = nextLong();
        }
        if (n != 1) {
            long h = 0;
            long no = 0;
            for (int i = 0; i < n - 1; i++) {
                while (b[i] != b[i + 1]) {
                    if (b[i] > b[i + 1]) {
                        b[i] -= b[i + 1];
                    } else {
                        b[i + 1] -= b[i];
                    }
                }
                no = b[i];
                h = a[i] * a[i + 1];
                while (a[i] != a[i + 1]) {
                    if (a[i] > a[i + 1]) {
                        a[i] -= a[i + 1];
                    } else {
                        a[i + 1] -= a[i];
                    }
                }
                h /= a[i + 1];
            }
            out.println(h + " " + no);

        } else {
            out.print(a[0] + " " + b[0]);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}