import java.io.*;
import java.util.*;

public class Main {


    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int y = nextInt();
        long[] a = new long[n];
        long[] b = new long[n];
        long[][] c = new long[2][n * n];
        int p = 0;
        for (int i = 0; i < n; i++) {
            a[i] = nextLong();
        }
        for (int i = 0; i < n; i++) {
            b[i] = nextLong();
        }
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                long h = a[i];
                long l = b[j];
                while (h != l && h != 0 && l != 0) {
                    if (h > l) h %= l;
                    else l %= h;
                }
                if (Math.max(h, l) != 1) {
                    a[i] /= Math.max(h, l);
                    b[j] /= Math.max(h, l);
                }
                c[0][p] = a[i];
                c[1][p] = b[j];
                p++;
            }
        }
        Arrays.sort(c, new Comparator<long[]>() {
            @Override
            public int compare(long[] o1, long[] o2) {
                Integer.compare(o1/)
            }
        });
        for (int i = 0; i < y; i++) {
            int l = nextInt();
            out.println(c[0][l - 1] + " " + c[1][l - 1]);
        }
        out.close();

    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}